Pixels

Update a tracking pixel

POST/api/pixels/{pixelId}

Updates a tracking pixel's name or slug.

Headers

NameTypeDescription
AuthorizationrequiredstringAuthentication credentials, e.g. Bearer <token>.

Path parameters

NameTypeDescription
pixelIdrequiredstringID of the tracking pixel.

Request body

NameTypeDescription
namestringDisplay name of the resource.
slugstringURL slug used to access the resource.
Example request

Responses

200The operation completed successfully.
NameTypeDescription
createdAtrequiredstringDate and time the record was created.
deletedAtrequiredstringDate and time the record was deleted, if applicable.
idrequiredstringUnique identifier of the resource.
namerequiredstringDisplay name of the resource.
slugrequiredstringURL slug used to access the resource.
teamIdrequiredstringID of the associated team.
updatedAtrequiredstringDate and time the record was last updated.
userIdrequiredstringID of the associated user.
200 example
400Bad request.
NameTypeDescription
errorrequiredobjectError details returned when the operation fails.
400 example
401Unauthorized.
NameTypeDescription
errorrequiredobjectError details returned when the operation fails.
401 example
500Server error.
NameTypeDescription
errorrequiredobjectError details returned when the operation fails.
500 example

Code samples

cURL